#![feature(iter_collect_into)]
use bevy::prelude::*;
use bevy_skein::SkeinPlugin;

mod camera;
mod cleanup;
mod debugging;
mod game;
mod menus;

#[derive(States, Default, Debug, Clone, PartialEq, Eq, Hash, Reflect)]
#[allow(unused)]
enum AppState {
    #[default]
    Menus,
    Ingame,
    PostGame,
}

fn main() {
    App::new()
        .register_type::<TPCTarget>()
        .add_systems(Startup, camera::setup)
        .add_plugins(DefaultPlugins)
        .add_plugins((game::plugin, menus::plugin, debugging::plugin))
        .add_plugins(SkeinPlugin::default())
        .init_state::<AppState>()
        .register_type::<AppState>()
        .run();
}

#[derive(Debug, Reflect, Component)]
#[reflect(Component)]
struct TPCTarget;
